Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network88.2.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
88.2.0.0
Broadcast address
88.2.63.255
First usable
88.2.0.1
Last usable
88.2.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 58020000 · Integer 1476526080 to 1476542463
Reverse DNS zones
0.2.88.in-addr.arpa
1.2.88.in-addr.arpa
2.2.88.in-addr.arpa
3.2.88.in-addr.arpa
4.2.88.in-addr.arpa
5.2.88.in-addr.arpa
6.2.88.in-addr.arpa
7.2.88.in-addr.arpa
8.2.88.in-addr.arpa
9.2.88.in-addr.arpa
10.2.88.in-addr.arpa
11.2.88.in-addr.arpa
12.2.88.in-addr.arpa
13.2.88.in-addr.arpa
14.2.88.in-addr.arpa
15.2.88.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011000.00000010.00000000.0000000088.2.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01011000.00000010.00000000.0000000088.2.0.0
Broadcast01011000.00000010.00111111.1111111188.2.63.255
Split into smaller subnets/30

88.2.0.0/18 makes 4,096 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
188.2.0.0/3088.2.0.1 to 88.2.0.288.2.0.32
288.2.0.4/3088.2.0.5 to 88.2.0.688.2.0.72
388.2.0.8/3088.2.0.9 to 88.2.0.1088.2.0.112
488.2.0.12/3088.2.0.13 to 88.2.0.1488.2.0.152
588.2.0.16/3088.2.0.17 to 88.2.0.1888.2.0.192
688.2.0.20/3088.2.0.21 to 88.2.0.2288.2.0.232
788.2.0.24/3088.2.0.25 to 88.2.0.2688.2.0.272
888.2.0.28/3088.2.0.29 to 88.2.0.3088.2.0.312
988.2.0.32/3088.2.0.33 to 88.2.0.3488.2.0.352
1088.2.0.36/3088.2.0.37 to 88.2.0.3888.2.0.392
1188.2.0.40/3088.2.0.41 to 88.2.0.4288.2.0.432
1288.2.0.44/3088.2.0.45 to 88.2.0.4688.2.0.472
1388.2.0.48/3088.2.0.49 to 88.2.0.5088.2.0.512
1488.2.0.52/3088.2.0.53 to 88.2.0.5488.2.0.552
1588.2.0.56/3088.2.0.57 to 88.2.0.5888.2.0.592
1688.2.0.60/3088.2.0.61 to 88.2.0.6288.2.0.632
1788.2.0.64/3088.2.0.65 to 88.2.0.6688.2.0.672
1888.2.0.68/3088.2.0.69 to 88.2.0.7088.2.0.712
1988.2.0.72/3088.2.0.73 to 88.2.0.7488.2.0.752
2088.2.0.76/3088.2.0.77 to 88.2.0.7888.2.0.792
2188.2.0.80/3088.2.0.81 to 88.2.0.8288.2.0.832
2288.2.0.84/3088.2.0.85 to 88.2.0.8688.2.0.872
2388.2.0.88/3088.2.0.89 to 88.2.0.9088.2.0.912
2488.2.0.92/3088.2.0.93 to 88.2.0.9488.2.0.952
2588.2.0.96/3088.2.0.97 to 88.2.0.9888.2.0.992
2688.2.0.100/3088.2.0.101 to 88.2.0.10288.2.0.1032
2788.2.0.104/3088.2.0.105 to 88.2.0.10688.2.0.1072
2888.2.0.108/3088.2.0.109 to 88.2.0.11088.2.0.1112
2988.2.0.112/3088.2.0.113 to 88.2.0.11488.2.0.1152
3088.2.0.116/3088.2.0.117 to 88.2.0.11888.2.0.1192
3188.2.0.120/3088.2.0.121 to 88.2.0.12288.2.0.1232
3288.2.0.124/3088.2.0.125 to 88.2.0.12688.2.0.1272
3388.2.0.128/3088.2.0.129 to 88.2.0.13088.2.0.1312
3488.2.0.132/3088.2.0.133 to 88.2.0.13488.2.0.1352
3588.2.0.136/3088.2.0.137 to 88.2.0.13888.2.0.1392
3688.2.0.140/3088.2.0.141 to 88.2.0.14288.2.0.1432
3788.2.0.144/3088.2.0.145 to 88.2.0.14688.2.0.1472
3888.2.0.148/3088.2.0.149 to 88.2.0.15088.2.0.1512
3988.2.0.152/3088.2.0.153 to 88.2.0.15488.2.0.1552
4088.2.0.156/3088.2.0.157 to 88.2.0.15888.2.0.1592
4188.2.0.160/3088.2.0.161 to 88.2.0.16288.2.0.1632
4288.2.0.164/3088.2.0.165 to 88.2.0.16688.2.0.1672
4388.2.0.168/3088.2.0.169 to 88.2.0.17088.2.0.1712
4488.2.0.172/3088.2.0.173 to 88.2.0.17488.2.0.1752
4588.2.0.176/3088.2.0.177 to 88.2.0.17888.2.0.1792
4688.2.0.180/3088.2.0.181 to 88.2.0.18288.2.0.1832
4788.2.0.184/3088.2.0.185 to 88.2.0.18688.2.0.1872
4888.2.0.188/3088.2.0.189 to 88.2.0.19088.2.0.1912
4988.2.0.192/3088.2.0.193 to 88.2.0.19488.2.0.1952
5088.2.0.196/3088.2.0.197 to 88.2.0.19888.2.0.1992
5188.2.0.200/3088.2.0.201 to 88.2.0.20288.2.0.2032
5288.2.0.204/3088.2.0.205 to 88.2.0.20688.2.0.2072
5388.2.0.208/3088.2.0.209 to 88.2.0.21088.2.0.2112
5488.2.0.212/3088.2.0.213 to 88.2.0.21488.2.0.2152
5588.2.0.216/3088.2.0.217 to 88.2.0.21888.2.0.2192
5688.2.0.220/3088.2.0.221 to 88.2.0.22288.2.0.2232
5788.2.0.224/3088.2.0.225 to 88.2.0.22688.2.0.2272
5888.2.0.228/3088.2.0.229 to 88.2.0.23088.2.0.2312
5988.2.0.232/3088.2.0.233 to 88.2.0.23488.2.0.2352
6088.2.0.236/3088.2.0.237 to 88.2.0.23888.2.0.2392
6188.2.0.240/3088.2.0.241 to 88.2.0.24288.2.0.2432
6288.2.0.244/3088.2.0.245 to 88.2.0.24688.2.0.2472
6388.2.0.248/3088.2.0.249 to 88.2.0.25088.2.0.2512
6488.2.0.252/3088.2.0.253 to 88.2.0.25488.2.0.2552
6588.2.1.0/3088.2.1.1 to 88.2.1.288.2.1.32
6688.2.1.4/3088.2.1.5 to 88.2.1.688.2.1.72
6788.2.1.8/3088.2.1.9 to 88.2.1.1088.2.1.112
6888.2.1.12/3088.2.1.13 to 88.2.1.1488.2.1.152
6988.2.1.16/3088.2.1.17 to 88.2.1.1888.2.1.192
7088.2.1.20/3088.2.1.21 to 88.2.1.2288.2.1.232
7188.2.1.24/3088.2.1.25 to 88.2.1.2688.2.1.272
7288.2.1.28/3088.2.1.29 to 88.2.1.3088.2.1.312
7388.2.1.32/3088.2.1.33 to 88.2.1.3488.2.1.352
7488.2.1.36/3088.2.1.37 to 88.2.1.3888.2.1.392
7588.2.1.40/3088.2.1.41 to 88.2.1.4288.2.1.432
7688.2.1.44/3088.2.1.45 to 88.2.1.4688.2.1.472
7788.2.1.48/3088.2.1.49 to 88.2.1.5088.2.1.512
7888.2.1.52/3088.2.1.53 to 88.2.1.5488.2.1.552
7988.2.1.56/3088.2.1.57 to 88.2.1.5888.2.1.592
8088.2.1.60/3088.2.1.61 to 88.2.1.6288.2.1.632
8188.2.1.64/3088.2.1.65 to 88.2.1.6688.2.1.672
8288.2.1.68/3088.2.1.69 to 88.2.1.7088.2.1.712
8388.2.1.72/3088.2.1.73 to 88.2.1.7488.2.1.752
8488.2.1.76/3088.2.1.77 to 88.2.1.7888.2.1.792
8588.2.1.80/3088.2.1.81 to 88.2.1.8288.2.1.832
8688.2.1.84/3088.2.1.85 to 88.2.1.8688.2.1.872
8788.2.1.88/3088.2.1.89 to 88.2.1.9088.2.1.912
8888.2.1.92/3088.2.1.93 to 88.2.1.9488.2.1.952
8988.2.1.96/3088.2.1.97 to 88.2.1.9888.2.1.992
9088.2.1.100/3088.2.1.101 to 88.2.1.10288.2.1.1032
9188.2.1.104/3088.2.1.105 to 88.2.1.10688.2.1.1072
9288.2.1.108/3088.2.1.109 to 88.2.1.11088.2.1.1112
9388.2.1.112/3088.2.1.113 to 88.2.1.11488.2.1.1152
9488.2.1.116/3088.2.1.117 to 88.2.1.11888.2.1.1192
9588.2.1.120/3088.2.1.121 to 88.2.1.12288.2.1.1232
9688.2.1.124/3088.2.1.125 to 88.2.1.12688.2.1.1272
9788.2.1.128/3088.2.1.129 to 88.2.1.13088.2.1.1312
9888.2.1.132/3088.2.1.133 to 88.2.1.13488.2.1.1352
9988.2.1.136/3088.2.1.137 to 88.2.1.13888.2.1.1392
10088.2.1.140/3088.2.1.141 to 88.2.1.14288.2.1.1432
10188.2.1.144/3088.2.1.145 to 88.2.1.14688.2.1.1472
10288.2.1.148/3088.2.1.149 to 88.2.1.15088.2.1.1512
10388.2.1.152/3088.2.1.153 to 88.2.1.15488.2.1.1552
10488.2.1.156/3088.2.1.157 to 88.2.1.15888.2.1.1592
10588.2.1.160/3088.2.1.161 to 88.2.1.16288.2.1.1632
10688.2.1.164/3088.2.1.165 to 88.2.1.16688.2.1.1672
10788.2.1.168/3088.2.1.169 to 88.2.1.17088.2.1.1712
10888.2.1.172/3088.2.1.173 to 88.2.1.17488.2.1.1752
10988.2.1.176/3088.2.1.177 to 88.2.1.17888.2.1.1792
11088.2.1.180/3088.2.1.181 to 88.2.1.18288.2.1.1832
11188.2.1.184/3088.2.1.185 to 88.2.1.18688.2.1.1872
11288.2.1.188/3088.2.1.189 to 88.2.1.19088.2.1.1912
11388.2.1.192/3088.2.1.193 to 88.2.1.19488.2.1.1952
11488.2.1.196/3088.2.1.197 to 88.2.1.19888.2.1.1992
11588.2.1.200/3088.2.1.201 to 88.2.1.20288.2.1.2032
11688.2.1.204/3088.2.1.205 to 88.2.1.20688.2.1.2072
11788.2.1.208/3088.2.1.209 to 88.2.1.21088.2.1.2112
11888.2.1.212/3088.2.1.213 to 88.2.1.21488.2.1.2152
11988.2.1.216/3088.2.1.217 to 88.2.1.21888.2.1.2192
12088.2.1.220/3088.2.1.221 to 88.2.1.22288.2.1.2232
12188.2.1.224/3088.2.1.225 to 88.2.1.22688.2.1.2272
12288.2.1.228/3088.2.1.229 to 88.2.1.23088.2.1.2312
12388.2.1.232/3088.2.1.233 to 88.2.1.23488.2.1.2352
12488.2.1.236/3088.2.1.237 to 88.2.1.23888.2.1.2392
12588.2.1.240/3088.2.1.241 to 88.2.1.24288.2.1.2432
12688.2.1.244/3088.2.1.245 to 88.2.1.24688.2.1.2472
12788.2.1.248/3088.2.1.249 to 88.2.1.25088.2.1.2512
12888.2.1.252/3088.2.1.253 to 88.2.1.25488.2.1.2552
12988.2.2.0/3088.2.2.1 to 88.2.2.288.2.2.32
13088.2.2.4/3088.2.2.5 to 88.2.2.688.2.2.72
13188.2.2.8/3088.2.2.9 to 88.2.2.1088.2.2.112
13288.2.2.12/3088.2.2.13 to 88.2.2.1488.2.2.152
13388.2.2.16/3088.2.2.17 to 88.2.2.1888.2.2.192
13488.2.2.20/3088.2.2.21 to 88.2.2.2288.2.2.232
13588.2.2.24/3088.2.2.25 to 88.2.2.2688.2.2.272
13688.2.2.28/3088.2.2.29 to 88.2.2.3088.2.2.312
13788.2.2.32/3088.2.2.33 to 88.2.2.3488.2.2.352
13888.2.2.36/3088.2.2.37 to 88.2.2.3888.2.2.392
13988.2.2.40/3088.2.2.41 to 88.2.2.4288.2.2.432
14088.2.2.44/3088.2.2.45 to 88.2.2.4688.2.2.472
14188.2.2.48/3088.2.2.49 to 88.2.2.5088.2.2.512
14288.2.2.52/3088.2.2.53 to 88.2.2.5488.2.2.552
14388.2.2.56/3088.2.2.57 to 88.2.2.5888.2.2.592
14488.2.2.60/3088.2.2.61 to 88.2.2.6288.2.2.632
14588.2.2.64/3088.2.2.65 to 88.2.2.6688.2.2.672
14688.2.2.68/3088.2.2.69 to 88.2.2.7088.2.2.712
14788.2.2.72/3088.2.2.73 to 88.2.2.7488.2.2.752
14888.2.2.76/3088.2.2.77 to 88.2.2.7888.2.2.792
14988.2.2.80/3088.2.2.81 to 88.2.2.8288.2.2.832
15088.2.2.84/3088.2.2.85 to 88.2.2.8688.2.2.872
15188.2.2.88/3088.2.2.89 to 88.2.2.9088.2.2.912
15288.2.2.92/3088.2.2.93 to 88.2.2.9488.2.2.952
15388.2.2.96/3088.2.2.97 to 88.2.2.9888.2.2.992
15488.2.2.100/3088.2.2.101 to 88.2.2.10288.2.2.1032
15588.2.2.104/3088.2.2.105 to 88.2.2.10688.2.2.1072
15688.2.2.108/3088.2.2.109 to 88.2.2.11088.2.2.1112
15788.2.2.112/3088.2.2.113 to 88.2.2.11488.2.2.1152
15888.2.2.116/3088.2.2.117 to 88.2.2.11888.2.2.1192
15988.2.2.120/3088.2.2.121 to 88.2.2.12288.2.2.1232
16088.2.2.124/3088.2.2.125 to 88.2.2.12688.2.2.1272
16188.2.2.128/3088.2.2.129 to 88.2.2.13088.2.2.1312
16288.2.2.132/3088.2.2.133 to 88.2.2.13488.2.2.1352
16388.2.2.136/3088.2.2.137 to 88.2.2.13888.2.2.1392
16488.2.2.140/3088.2.2.141 to 88.2.2.14288.2.2.1432
16588.2.2.144/3088.2.2.145 to 88.2.2.14688.2.2.1472
16688.2.2.148/3088.2.2.149 to 88.2.2.15088.2.2.1512
16788.2.2.152/3088.2.2.153 to 88.2.2.15488.2.2.1552
16888.2.2.156/3088.2.2.157 to 88.2.2.15888.2.2.1592
16988.2.2.160/3088.2.2.161 to 88.2.2.16288.2.2.1632
17088.2.2.164/3088.2.2.165 to 88.2.2.16688.2.2.1672
17188.2.2.168/3088.2.2.169 to 88.2.2.17088.2.2.1712
17288.2.2.172/3088.2.2.173 to 88.2.2.17488.2.2.1752
17388.2.2.176/3088.2.2.177 to 88.2.2.17888.2.2.1792
17488.2.2.180/3088.2.2.181 to 88.2.2.18288.2.2.1832
17588.2.2.184/3088.2.2.185 to 88.2.2.18688.2.2.1872
17688.2.2.188/3088.2.2.189 to 88.2.2.19088.2.2.1912
17788.2.2.192/3088.2.2.193 to 88.2.2.19488.2.2.1952
17888.2.2.196/3088.2.2.197 to 88.2.2.19888.2.2.1992
17988.2.2.200/3088.2.2.201 to 88.2.2.20288.2.2.2032
18088.2.2.204/3088.2.2.205 to 88.2.2.20688.2.2.2072
18188.2.2.208/3088.2.2.209 to 88.2.2.21088.2.2.2112
18288.2.2.212/3088.2.2.213 to 88.2.2.21488.2.2.2152
18388.2.2.216/3088.2.2.217 to 88.2.2.21888.2.2.2192
18488.2.2.220/3088.2.2.221 to 88.2.2.22288.2.2.2232
18588.2.2.224/3088.2.2.225 to 88.2.2.22688.2.2.2272
18688.2.2.228/3088.2.2.229 to 88.2.2.23088.2.2.2312
18788.2.2.232/3088.2.2.233 to 88.2.2.23488.2.2.2352
18888.2.2.236/3088.2.2.237 to 88.2.2.23888.2.2.2392
18988.2.2.240/3088.2.2.241 to 88.2.2.24288.2.2.2432
19088.2.2.244/3088.2.2.245 to 88.2.2.24688.2.2.2472
19188.2.2.248/3088.2.2.249 to 88.2.2.25088.2.2.2512
19288.2.2.252/3088.2.2.253 to 88.2.2.25488.2.2.2552
19388.2.3.0/3088.2.3.1 to 88.2.3.288.2.3.32
19488.2.3.4/3088.2.3.5 to 88.2.3.688.2.3.72
19588.2.3.8/3088.2.3.9 to 88.2.3.1088.2.3.112
19688.2.3.12/3088.2.3.13 to 88.2.3.1488.2.3.152
19788.2.3.16/3088.2.3.17 to 88.2.3.1888.2.3.192
19888.2.3.20/3088.2.3.21 to 88.2.3.2288.2.3.232
19988.2.3.24/3088.2.3.25 to 88.2.3.2688.2.3.272
20088.2.3.28/3088.2.3.29 to 88.2.3.3088.2.3.312
20188.2.3.32/3088.2.3.33 to 88.2.3.3488.2.3.352
20288.2.3.36/3088.2.3.37 to 88.2.3.3888.2.3.392
20388.2.3.40/3088.2.3.41 to 88.2.3.4288.2.3.432
20488.2.3.44/3088.2.3.45 to 88.2.3.4688.2.3.472
20588.2.3.48/3088.2.3.49 to 88.2.3.5088.2.3.512
20688.2.3.52/3088.2.3.53 to 88.2.3.5488.2.3.552
20788.2.3.56/3088.2.3.57 to 88.2.3.5888.2.3.592
20888.2.3.60/3088.2.3.61 to 88.2.3.6288.2.3.632
20988.2.3.64/3088.2.3.65 to 88.2.3.6688.2.3.672
21088.2.3.68/3088.2.3.69 to 88.2.3.7088.2.3.712
21188.2.3.72/3088.2.3.73 to 88.2.3.7488.2.3.752
21288.2.3.76/3088.2.3.77 to 88.2.3.7888.2.3.792
21388.2.3.80/3088.2.3.81 to 88.2.3.8288.2.3.832
21488.2.3.84/3088.2.3.85 to 88.2.3.8688.2.3.872
21588.2.3.88/3088.2.3.89 to 88.2.3.9088.2.3.912
21688.2.3.92/3088.2.3.93 to 88.2.3.9488.2.3.952
21788.2.3.96/3088.2.3.97 to 88.2.3.9888.2.3.992
21888.2.3.100/3088.2.3.101 to 88.2.3.10288.2.3.1032
21988.2.3.104/3088.2.3.105 to 88.2.3.10688.2.3.1072
22088.2.3.108/3088.2.3.109 to 88.2.3.11088.2.3.1112
22188.2.3.112/3088.2.3.113 to 88.2.3.11488.2.3.1152
22288.2.3.116/3088.2.3.117 to 88.2.3.11888.2.3.1192
22388.2.3.120/3088.2.3.121 to 88.2.3.12288.2.3.1232
22488.2.3.124/3088.2.3.125 to 88.2.3.12688.2.3.1272
22588.2.3.128/3088.2.3.129 to 88.2.3.13088.2.3.1312
22688.2.3.132/3088.2.3.133 to 88.2.3.13488.2.3.1352
22788.2.3.136/3088.2.3.137 to 88.2.3.13888.2.3.1392
22888.2.3.140/3088.2.3.141 to 88.2.3.14288.2.3.1432
22988.2.3.144/3088.2.3.145 to 88.2.3.14688.2.3.1472
23088.2.3.148/3088.2.3.149 to 88.2.3.15088.2.3.1512
23188.2.3.152/3088.2.3.153 to 88.2.3.15488.2.3.1552
23288.2.3.156/3088.2.3.157 to 88.2.3.15888.2.3.1592
23388.2.3.160/3088.2.3.161 to 88.2.3.16288.2.3.1632
23488.2.3.164/3088.2.3.165 to 88.2.3.16688.2.3.1672
23588.2.3.168/3088.2.3.169 to 88.2.3.17088.2.3.1712
23688.2.3.172/3088.2.3.173 to 88.2.3.17488.2.3.1752
23788.2.3.176/3088.2.3.177 to 88.2.3.17888.2.3.1792
23888.2.3.180/3088.2.3.181 to 88.2.3.18288.2.3.1832
23988.2.3.184/3088.2.3.185 to 88.2.3.18688.2.3.1872
24088.2.3.188/3088.2.3.189 to 88.2.3.19088.2.3.1912
24188.2.3.192/3088.2.3.193 to 88.2.3.19488.2.3.1952
24288.2.3.196/3088.2.3.197 to 88.2.3.19888.2.3.1992
24388.2.3.200/3088.2.3.201 to 88.2.3.20288.2.3.2032
24488.2.3.204/3088.2.3.205 to 88.2.3.20688.2.3.2072
24588.2.3.208/3088.2.3.209 to 88.2.3.21088.2.3.2112
24688.2.3.212/3088.2.3.213 to 88.2.3.21488.2.3.2152
24788.2.3.216/3088.2.3.217 to 88.2.3.21888.2.3.2192
24888.2.3.220/3088.2.3.221 to 88.2.3.22288.2.3.2232
24988.2.3.224/3088.2.3.225 to 88.2.3.22688.2.3.2272
25088.2.3.228/3088.2.3.229 to 88.2.3.23088.2.3.2312
25188.2.3.232/3088.2.3.233 to 88.2.3.23488.2.3.2352
25288.2.3.236/3088.2.3.237 to 88.2.3.23888.2.3.2392
25388.2.3.240/3088.2.3.241 to 88.2.3.24288.2.3.2432
25488.2.3.244/3088.2.3.245 to 88.2.3.24688.2.3.2472
25588.2.3.248/3088.2.3.249 to 88.2.3.25088.2.3.2512
25688.2.3.252/3088.2.3.253 to 88.2.3.25488.2.3.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses